Update Return
curl --request PATCH \
--url https://api.vellaro.io/api/v1/admin/returns/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstname": "<string>",
"lastname": "<string>",
"email": "<string>",
"telephone": "<string>",
"product_name": "<string>",
"model": "<string>",
"quantity": 123,
"opened": true,
"return_reason_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"return_action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"return_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>",
"date_ordered": "2023-12-25",
"notify": false
}
'import requests
url = "https://api.vellaro.io/api/v1/admin/returns/{id}"
payload = {
"variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstname": "<string>",
"lastname": "<string>",
"email": "<string>",
"telephone": "<string>",
"product_name": "<string>",
"model": "<string>",
"quantity": 123,
"opened": True,
"return_reason_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"return_action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"return_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>",
"date_ordered": "2023-12-25",
"notify": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
variant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
firstname: '<string>',
lastname: '<string>',
email: '<string>',
telephone: '<string>',
product_name: '<string>',
model: '<string>',
quantity: 123,
opened: true,
return_reason_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
return_action_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
return_status_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
comment: '<string>',
date_ordered: '2023-12-25',
notify: false
})
};
fetch('https://api.vellaro.io/api/v1/admin/returns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstname": "<string>",
"lastname": "<string>",
"email": "<string>",
"telephone": "<string>",
"product_name": "<string>",
"model": "<string>",
"quantity": 123,
"opened": true,
"return_reason_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"return_action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"return_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>",
"date_ordered": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restocked": false,
"return_reason": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name_i18n": {},
"sort_order": 123
},
"return_action": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name_i18n": {},
"sort_order": 123
},
"return_status": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name_i18n": {},
"sort_order": 123,
"restocks_inventory": false,
"code": "<string>"
}
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}admin:returns
Update Return
Admin: update return fields.
PATCH
/
api
/
v1
/
admin
/
returns
/
{id}
Update Return
Autorizzazioni
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parametri del percorso
Corpo
application/json
⌘I